%define module	Set-Object
%define name	perl-%{module}
%define version 1.21
%define release %mkrel 1

Name: 		%{name}
Version: 	%{version}
Release:	%{release} 
Summary:	Set of objects and strings in Perl
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Set/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
Buildroot:	%_tmppath/%{name}-%{release}

%description
This module implements a set of objects, that is, an unordered collection of
objects without duplication.

%prep
%setup -q -n %{module}-%{version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/Set
%{perl_vendorarch}/auto/Set
%{_mandir}/*/*

%clean
rm -rf %buildroot


%changelog
* Sat Mar 03 2007 Olivier Thauvin <nanardon@mandriva.org> 1.21-1mdv2007.0
+ Revision: 131707
- 1.21

* Thu Jan 04 2007 Olivier Thauvin <nanardon@mandriva.org> 1.18-1mdv2007.1
+ Revision: 103940
- 1.18
- 1.17
- Import perl-Set-Object



* Fri Jun 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.15-1mdv2007.0
- New version 1.15
- spec cleanup
- fix directory ownership

* Thu Jan 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.14-1mdk
- Initial MDV RPM
